Subject: Re: bug#33864: 27.0.50; Display corruption with "small" font size when something is in the fringe

From: Dale Sedivec <[email-masked]>
Date: Tue, 25 Dec 2018 12:30:01 -0600

On Tue, Dec 25, 2018 at 7:34 AM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Dale Sedivec <[email-masked]>
> > Date: Tue, 25 Dec 2018 00:01:58 -0600
> >
> > Using Emacs master with the NeXTStep interface on macOS, I get display corruption on lines where features
> > such as Flymake, Flycheck, or diff-hl display something in the fringe.  This is a bit hard to describe, so I'm
> > attaching a screen shot, and I've also made a short movie of this happening:
> >
> > https://www.dropbox.com/s/h9eqixqxst4wg37/emacs_27_small_font_fringe_problem.mp4?dl=0
>
> Looks like the cursor's line is being cleared without telling Emacs
> about that.
>
> Does it help to decrease the size of the Flymake's fringe indicators
> when you switch to a smaller font?  From the screenshot it looks like
> the indicator keeps its original size although the font becomes a lot
> smaller.

I think I did what you ask by making a bitmap with just a single pixel
turned on:

(define-fringe-bitmap 'smallest
    (vector #b00000000
            #b00000000
            #b00000000
            #b00000000
            #b00000000
            #b00000000
            #b00000000
            #b00000000
            #b00010000
            #b00000000
            #b00000000
            #b00000000
            #b00000000
            #b00000000
            #b00000000
            #b00000000
            #b00000000))

(setq flymake-note-bitmap '(smallest compilation-info))

Followed by M-x flymake-start RET to re-run Flymake and update the
fringe.  This did not fix the problem: I do see my single pixel fringe
bitmap, but the line still gets corrupted as described in my original
report.

(But please do let me know if you were asking something different.)

Dale